Unit tash4r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ASH4R_p;

function tash4r: String;

implementation

function tash4r: String;
var
N,_i :Integer;
X :Array [0..4] of Real;
const
IU :Array [0..5] of Integer = ( 1,2,3,4,5,5 );
JU :Array [0..3] of Integer = ( 5,5,5,5 );
UN :Array [0..3] of Real = ( 0.125,0.8,0.6666667,2.0 );
DI :Array [0..4] of Real = ( 0.0625,1.6,0.3333333,2.0,60.0 );
B :Array [0..4] of Real = ( -4.0,-4.0,7.0,3.0,7.0 );
begin
Result := '';  {   }

{         ASH4R }

N := 5;
ASH4R(IU,JU,UN,DI,N,B,X);
Result := Result + Format('%s',[' X=']);
Result := Result + #$0D#$0A;
for _i:=0 to 4 do
 begin
  Result := Result + Format('%20.16f ',[X[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tash4r',Result);  {     tash4r.res }
exit;
end;

end.
